# Change Log

All notable changes to this project will be documented in this file. If there is a `Changed` section please read carefully, as this often means that you will need to adapt your `config.yml`, otherwise the bot might fail to start.

## [1.2.4] - 2022-08-15

### Added 1.2.4

* Check OAuth Token via Twitch API

### Fixed 1.2.4

* Internal URL when using special HTTP_BIND values

## [1.2.3] - 2022-08-14

### Fixed 1.2.3

* Message sort order

## [1.2.2] - 2022-08-13

### Changed 1.2.2

* The message queue is only queried when the Init button is pressed
* Further code optimization

### Fixed 1.2.2

* Minor fixes

## [1.2.1] - 2022-08-13

### Changed 1.2.1

* Reworked internal code structure

### Fixed 1.2.1

* Publish vote info in chat when reloading config was not working when TTS was disabled
* Casting votes was allowed for broadcaster and mods only

## [1.2.0] - 2022-08-13

### Added

* `!random` feature (see README.md for details)

### Changed 1.2.0

* The vote result will be read out

### Fixed 1.2.0

* Improved handling of missing config values

## [1.1.0] - 2022-08-12

### Added 1.1.0

* `!quickvote` feature (see README.md for details)
* `!ping` command added
* Configoption to start TTS in disabled mode
* OAuth-Token generator
* Webbrowser autostart

### Changed 1.1.0

* You need to review your `config.yml` as there a new config values added.
* The bot replies with a chat message when `!ton` or `!toff` is used

### Fixed 1.1.0

* Improved error handling

## [1.0.0] - 2022-08-11

Initial Release
